## GwyGraphKey

GwyGraphKey — Graph curve key

## Functions

GtkWidget * | gwy_graph_key_new ()
void | gwy_graph_key_set_model ()
GwyGraphModel * | gwy_graph_key_get_model ()
void | gwy_graph_key_enable_user_input ()

## Types and Values

struct | GwyGraphKey
struct | GwyGraphKeyClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GwyGraphKey

## Implemented Interfaces

GwyGraphKey implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwyui/gwyui.h>

## Description

GwyGraphKey is a part of GwyGraph, it renders frame with graph curve key.

## Functions

### gwy_graph_key_new()

    GtkWidget *
    gwy_graph_key_new (void);

Creates a new graph label.

#### Returns

A new graph label widget as a GtkWidget.

### gwy_graph_key_set_model()

    void
    gwy_graph_key_set_model (GwyGraphKey *label,
                             GwyGraphModel *gmodel);

Sets new model of a graph label.

#### Parameters

label | A graph label. |
gmodel | New graph model. |

### gwy_graph_key_get_model()

    GwyGraphModel *
    gwy_graph_key_get_model (GwyGraphKey *label);

Gets the model of a graph key.

#### Parameters

label | A graph label. |

#### Returns

The graph model this graph label takes curve properties and descriptions from.

### gwy_graph_key_enable_user_input()

    void
    gwy_graph_key_enable_user_input (GwyGraphKey *label,
                                     gboolean enable);

Enables or disables user input to a graph label.

#### Parameters

label | A graph label. |
enable | Whether to enable the user input. |

## Types and Values

### struct GwyGraphKey

    struct GwyGraphKey;

### struct GwyGraphKeyClass

    struct GwyGraphKeyClass {
        GtkWidgetClass parent_class;

        void (*reserved1)(void);
        void (*reserved2)(void);
    };